
TYPO3.Flow - Bug # 6209

Status: Resolved Priority: Must have
Author: Karsten Dambekalns Category: Property
Created: 2010-01-25 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: Not uploading a file for a resource leads to an error
Description

Try creating a post without uploading a file and you'll get a nice exception:

#1259748358: A valid sha1 hash must be passed to this constructor.

The "uploaded file" has an error status of UPLOAD_ERR_NO_FILE, so this need to be checked and handled accordingly.

Associated revisions
Revision 4c5a8088 - 2010-01-25 19:10 - Karsten Dambekalns

[+BUGFIX] FLOW3 (Property): PropertyMapper::transformToObject() now returns the result of an object converter call if it is NULL or an object. If an
error object is returned, it returns NULL and adds the error to the mapping results. Fixes #6209.
[~TASK] FLOW3 (Resource): The ResourceObjectConverter now returns NULL if no file was uploaded. In case an upload error occurred or the file
extension was rejected an Error object is returned (formerly it would return FALSE or throw an exception respectively). Related to #6209.
[+FEATURE] FLOW3 (Utility): Added getUploadErrorMessage() to Files.

History
#1 - 2010-01-25 19:00 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To changed from Robert Lemke to Karsten Dambekalns
- Target version set to 1.0 alpha 8

#2 - 2010-01-25 20:00 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r3757.
